Using API v1? See what changes in v2, or the v1 docs
VALIDATION_INVALID_QUERY
A query parameter is not valid.
HTTP status: 400. Retrying the same request returns the same error.
What to do
Correct the parameters listed in the error message.
Hint returned with the error: Check the parameters listed in the error message against the API reference.
Why it happens
- An unknown parameter value
- A date that is not in ISO 8601 format
fromis later thanto
Endpoints that return it
- List accounts
GET /v2/accounts - List account imports
GET /v2/accounts/imports - Get the status of several accounts
GET /v2/accounts/status - Get the status of an account
GET /v2/accounts/{accountId}/status - List working locations
GET /v2/accounts/{accountId}/working-locations - Get a sign-in URL
GET /v2/connect/oauth - List calendar groups
GET /v2/calendar-groups - Create a calendar group
POST /v2/calendar-groups - List calendars
GET /v2/calendars - Get color palettes
GET /v2/colors - Rename a calendar group
PATCH /v2/calendar-groups/{groupId} - Delete a calendar group
DELETE /v2/calendar-groups/{groupId} - Get a calendar
GET /v2/calendars/{calendarRef} - Delete a calendar
DELETE /v2/calendars/{calendarRef} - Subscribe to a calendar
POST /v2/calendars/subscribe - List categories
GET /v2/calendars/{calendarRef}/categories - Create a category
POST /v2/calendars/{calendarRef}/categories - Get a calendar's feed
GET /v2/calendars/{calendarRef}/feed - Enable a calendar's feed
PUT /v2/calendars/{calendarRef}/feed - Disable a calendar's feed
DELETE /v2/calendars/{calendarRef}/feed - List calendar permissions
GET /v2/calendars/{calendarRef}/permissions - Share a calendar
POST /v2/calendars/{calendarRef}/permissions - Unsubscribe from a calendar
DELETE /v2/calendars/{calendarRef}/subscription - Update a category
PATCH /v2/calendars/{calendarRef}/categories/{categoryId} - Delete a category
DELETE /v2/calendars/{calendarRef}/categories/{categoryId} - Rotate a feed's link
POST /v2/calendars/{calendarRef}/feed/rotate - Update a calendar permission
PATCH /v2/calendars/{calendarRef}/permissions/{permissionId} - Delete a calendar permission
DELETE /v2/calendars/{calendarRef}/permissions/{permissionId} - List events
GET /v2/events - Get an event
GET /v2/events/{eventId} - Delete an event
DELETE /v2/events/{eventId} - List an event's attachments
GET /v2/events/{eventId}/attachments - List occurrences of a recurring event
GET /v2/events/{eventId}/instances - Delete an attachment
DELETE /v2/events/{eventId}/attachments/{attachmentId} - Upload a file to an event
POST /v2/events/{eventId}/attachments/file - Download an attachment
GET /v2/events/{eventId}/attachments/{attachmentId}/content - Get free/busy for one account
GET /v2/free-busy - List rooms and resources
GET /v2/rooms - List meetings
GET /v2/meetings - Get a meeting
GET /v2/meetings/{meetingId} - Delete a meeting
DELETE /v2/meetings/{meetingId} - List invitations
GET /v2/invitations - List metadata imports
GET /v2/metadata/imports - Get usage by day
GET /v2/usage - List request logs
GET /v2/logs